#include "clientkitapi.h"

ClientKitApi::ClientKitApi(MainWindow* mw)
{
    m_P4Api = new P4Api();
    m_GuiApi = new GuiApi(mw);
    m_SystemApi = new SystemApi();
}

QObject* ClientKitApi::p4Api()
{
    return m_P4Api;
}

QObject* ClientKitApi::systemApi()
{
    return m_SystemApi;
}

QObject* ClientKitApi::guiApi()
{
    return m_GuiApi;
}
